Bug 22725 - samba and mount nt-drives - BUG ?
samba and mount nt-drives - BUG ?
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-22 04:14 EST by Michael
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2000-12-22 04:14:40 EST
Hello,

i have just tried to mount a windows share from samba with the following 
command in the fstab:

//titan/frieda          /mnt/frieda             smbfs   
auto,suid,uid=99,gid99,workgroup=pilux,username=pilux,password=****** 0 0

Now that works fine. But if there are more then 75 directories on these 
share, guess what happen ?
There are no directories shown for the command "ls -l", ok thats very 
strange, but

I tried this script:

---------
#!/usr/bin/perl
$i=1;
while ($i<75)
{
	system ("mkdir $i");
	$i=$i+1;
}
----------

After running this script the "ls" shows this:

[root@pilux test]# ls
1   13  17  20  24  28  31  35  39  42  46  5   53  57  60  64  68  71  8
10  14  18  21  25  29  32  36  4   43  47  50  54  58  61  65  69  72  9
11  15  19  22  26  3   33  37  40  44  48  51  55  59  62  66  7   73
12  16  2   23  27  30  34  38  41  45  49  52  56  6   63  67  70  74
---------

Then i do a "mkdir 75" and the result of "ls" is this:

[root@pilux test]# ls
1   11  13  15  17  19  20  22  24  26  28  3   31  33  35  37  39  40
10  12  14  16  18  2   21  23  25  27  29  30  32  34  36  38  4   41
----------
OK thats a bug ? Then try "mkdir 76" and "ls" shows:

[root@pilux test]# mkdir 76
[root@pilux test]# ls -l | more
total 0
[root@pilux test]# ls
[root@pilux test]#

I cant see any fault on my side, i think this is a bug ?

Now here a my versions:

Linux, Redhat 6.2, Kernel 2.2.14-5

[root@pilux test]# mount --version
mount: mount-2.10f

smbmount: 2.0.6

[root@pilux test]# smbd -V
Version 2.0.6


I hope you can help me, i cant find anything about this in the newsgroups 
or mailinglists. I also wrote to the author of smbfs and he told me to 
upgrade to 2.2.18, but we use SW-Raid 1 and the "standard-kernel" dont 
boot with Redhat SW-Raid 1 Installation, so i need the 2.2.18 Kernel with 
the "mingo"-raid-patches, i think.


Greetings 

Michael Morban




---
Infratest Burke
AN NFO WORLDWIDE COMPANY
Informationstechnologie & Support
Michael Morban
WebMaster
FON: +49-89-5600137
michael.morban@hqde.infrabrk.com
Comment 1 Bugzilla owner 2004-09-30 11:38:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.